-----------------------------------------------------------------------------
/*
SQL Server در Execution Plan آشنایی با مفهوم  
Site:        http://www.NikAmooz.com
Instagram:   https://instagram.com/nikamooz/
Telegram:	 https://telegram.me/nikamooz
Created By:  Iman Bagheri
*/
-----------------------------------------------------------------------------
/*
   هشدار در پلن 
*/
--ایجاد بانک اطلاعاتی تستی
USE master
GO
IF DB_ID('TestDB')>0
BEGIN
	ALTER DATABASE TestDB SET SINGLE_USER WITH ROLLBACK IMMEDIATE
	DROP DATABASE TestDB
END
GO
CREATE DATABASE TestDB
GO
USE TestDB
GO
--ایجاد یک جدول تستی و درج دیتا نسبتا زیاد در آن
DROP TABLE IF EXISTS SalesOrder
 
GO
CREATE TABLE  SalesOrder(
	SalesOrderID varchar(20) NOT NULL,    ------   از نوع کاراکتری
	SalesOrderDetailID int NOT NULL,
	UnitPriceDiscount money NOT NULL,
	ModifiedDate datetime NOT NULL
	) ON [PRIMARY]
GO
 
INSERT INTO SalesOrder(SalesOrderID, SalesOrderDetailID, UnitPriceDiscount, ModifiedDate)
 SELECT   SalesOrderID, SalesOrderDetailID, UnitPriceDiscount, ModifiedDate
  FROM AdventureWorks2019.Sales.SalesOrderDetail 
GO
  
 
SP_SPACEUSED SalesOrder
 
--------------------------------------------------------------------
--In Place مقایسه به صورت 

 SELECT 
	*
FROM SalesOrder  
where SalesOrderID=75122    ---- تبدیل ضمنی 
 
 
 
 